Bug 1062592 - [QE] (6.3.0) Wrong error message from add-user utility
Summary: [QE] (6.3.0) Wrong error message from add-user utility
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR6
: EAP 6.3.0
Assignee: Darran Lofthouse
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1063861 1072364
TreeView+ depends on / blocked
 
Reported: 2014-02-07 11:39 UTC by Petr Kremensky
Modified: 2014-06-28 15:28 UTC (History)
5 users (show)

(edit)
An error message given by the CLI `add-user` utility has been modified in this release of JBoss EAP 6 to prevent confusion.

In previous versions of the product, an error message stating that user passwords were required to contain at least one _alphanumeric_ character was shown if the password entered contained only numeric characters. In this release the relevant error message now states that numeral-only passwords must contain at least one _alphabetic_ character.
Clone Of:
: 1072364 (view as bug list)
(edit)
Last Closed: 2014-06-28 15:28:12 UTC


Attachments (Terms of Use)

Description Petr Kremensky 2014-02-07 11:39:19 UTC
Description of problem:
 add-user utility is returning wrong error message for password without alphabetic character. Also password requirements noted in documentation are wrong:
- It can not be the same as the user name.
- It must contain at least 8 characters.
- *It must contain at least one alphanumeric character.*
- It must contain at least one digit.
- It must contain at least one non-alphanumeric symbol

Version-Release number of selected component (if applicable):
 EAP 6.2.0

How reproducible:
 Always

Steps to Reproduce:
 1. Navigate to $EAP_HOME/bin folder
 2. run: add-user.[sh|bat] admin 22222222

Actual results:
 * Error * 
JBAS015268: Password must have at least one alphanumeric character.

Expected results:
JBASxxxxxx: Password must have at least one alphabetic character.

Additional info:
 We have to fix also documentation [1] (see password description) and installer (which is now accepting password without any alphabetic character)

[1] - http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#Add-user_Command_Arguments

Comment 3 Petr Kremensky 2014-03-31 06:00:56 UTC
Verified on EAP 6.3.0.DR6.

Comment 4 Scott Mumford 2014-04-24 00:34:32 UTC
Reformatted release notes text and marked for inclusion in documentation.

Comment 5 sgilda 2014-05-13 00:06:11 UTC
Replaced <literal> and <emphasis> tags to fix bug 1096865


Note You need to log in before you can comment on or make changes to this bug.